#!/usr/bin/env python

"""Some useful functions about divisors"""

__all__ = ['divisors', 'prime_divisors']

def divisors(n):
    """divisors(n) -> tuple of divisors of the integer n
>>> divisors(2009)
(1, 7, 41, 49, 287, 2009)
>>> """
    l = []
    for i in range(1, n+1):
        if n%i == 0:
            l.append(i)
    return tuple(l)

def is_prime(n):
    """is_prime(n) -> bool
Returns True if n is prime
>>> is_prime(2009)
False
>>> is_prime(101)
True
>>> """
    if n < 2:
        return False
    else:
        for i in range(2, n):
            if n%i == 0:
                return False
        return True

def prime_divisors(n):
    """prime_divisors(n) -> list of prime divisors of n
>>> prime_divisors(1015)
(5, 7, 29)
>>> """
    l = []
    for i in divisors(n):
        if is_prime(i):
            l.append(i)
    return tuple(l)

